package com.rjconsultores.ventaboletos.vo.impressaofiscal;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

public class ImportacionFiscalVO {

	private String numImpressora;
	private String coo;
	private Long boletoId;
	private Integer empresaId;
	private String dataEmissao;
	private String cnpjCliente;
	private String cnpjImpressora;
	private Integer origenId;
	private String origenUf;
	private Integer destinoId;
	private String destinoUf;
	private String numpdv;
	private String modeloImpressora;
	private String numCaixa;
	private String status;
	private String claseServicio;
	private String descmotivocancelamento;
	private Integer motivocancelacion;
	private BigDecimal valorMulta;
	private BigDecimal valorTarifa;
	private BigDecimal valorPedagio;
	private BigDecimal valorEmbarque;
	private BigDecimal valorSeguro;
	private String cnpjEcf;
	private BigDecimal impostoEstado;
	private BigDecimal desconto;
	private String indcancelamento;
	private boolean inconsistente;

	private List<ItemFiscalVO> itensFiscais;

	public ImportacionFiscalVO() {
		super();
	}

	public ImportacionFiscalVO(String numImpressora, String coo, Long boletoId, Integer empresaId, String dataEmissao, String cnpjCliente, String cnpjImpressora, Integer origenId, String origenUf, Integer destinoId, String destinoUf, String numpdv, String modeloImpressora, String numCaixa, String status, Integer motivocancelacion, BigDecimal valorMulta, BigDecimal valorTarifa, BigDecimal valorPedagio, BigDecimal valorEmbarque, BigDecimal valorSeguro, String claseServicio) {
		super();
		this.numImpressora = numImpressora;
		this.coo = coo;
		this.boletoId = boletoId;
		this.empresaId = empresaId;
		this.dataEmissao = dataEmissao;
		this.cnpjCliente = cnpjCliente;
		this.cnpjImpressora = cnpjImpressora;
		this.origenId = origenId;
		this.origenUf = origenUf;
		this.destinoId = destinoId;
		this.destinoUf = destinoUf;
		this.numpdv = numpdv;
		this.modeloImpressora = modeloImpressora;
		this.numCaixa = numCaixa;
		this.status = status;
		this.claseServicio = claseServicio;
		this.motivocancelacion = motivocancelacion;
		this.valorMulta = valorMulta;
		this.valorTarifa = valorTarifa;
		this.valorPedagio = valorPedagio;
		this.valorEmbarque = valorEmbarque;
		this.valorSeguro = valorSeguro;
	}

	public String getNumImpressora() {
		return numImpressora;
	}

	public void setNumImpressora(String numImpressora) {
		this.numImpressora = numImpressora;
	}

	public String getCoo() {
		return coo;
	}

	public void setCoo(String coo) {
		this.coo = coo;
	}

	public Long getBoletoId() {
		return boletoId;
	}

	public void setBoletoId(Long boletoId) {
		this.boletoId = boletoId;
	}

	public Integer getEmpresaId() {
		return empresaId;
	}

	public void setEmpresaId(Integer empresaId) {
		this.empresaId = empresaId;
	}

	public String getDataEmissao() {
		return dataEmissao;
	}

	public void setDataEmissao(String dataEmissao) {
		this.dataEmissao = dataEmissao;
	}

	public String getCnpjCliente() {
		return cnpjCliente;
	}

	public void setCnpjCliente(String cnpjCliente) {
		this.cnpjCliente = cnpjCliente;
	}

	public String getCnpjImpressora() {
		return cnpjImpressora;
	}

	public void setCnpjImpressora(String cnpjImpressora) {
		this.cnpjImpressora = cnpjImpressora;
	}

	public Integer getOrigenId() {
		return origenId;
	}

	public void setOrigenId(Integer origenId) {
		this.origenId = origenId;
	}

	public List<ItemFiscalVO> getItensFiscais() {
		if (itensFiscais == null) {
			itensFiscais = new ArrayList<ItemFiscalVO>();
		}
		return itensFiscais;
	}

	public void setItensFiscais(List<ItemFiscalVO> itensFiscais) {
		this.itensFiscais = itensFiscais;
	}

	public String getNumpdv() {
		return numpdv;
	}

	public void setNumpdv(String numpdv) {
		this.numpdv = numpdv;
	}

	public Integer getDestinoId() {
		return destinoId;
	}

	public void setDestinoId(Integer destinoId) {
		this.destinoId = destinoId;
	}

	public String getNumCaixa() {
		return numCaixa;
	}

	public void setNumCaixa(String numCaixa) {
		this.numCaixa = numCaixa;
	}

	public String getModeloImpressora() {
		return modeloImpressora;
	}

	public void setModeloImpressora(String modeloImpressora) {
		this.modeloImpressora = modeloImpressora;
	}

	public String getOrigenUf() {
		return origenUf;
	}

	public void setOrigenUf(String origenUf) {
		this.origenUf = origenUf;
	}

	public String getDestinoUf() {
		return destinoUf;
	}

	public void setDestinoUf(String destinoUf) {
		this.destinoUf = destinoUf;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public Integer getMotivocancelacion() {
		return motivocancelacion;
	}

	public void setMotivocancelacion(Integer motivocancelacion) {
		this.motivocancelacion = motivocancelacion;
	}

	public BigDecimal getValorMulta() {
		return valorMulta;
	}

	public void setValorMulta(BigDecimal valorMulta) {
		this.valorMulta = valorMulta;
	}

	public BigDecimal getValorTarifa() {
		return valorTarifa;
	}

	public void setValorTarifa(BigDecimal valorTarifa) {
		this.valorTarifa = valorTarifa;
	}

	public BigDecimal getValorPedagio() {
		return valorPedagio;
	}

	public void setValorPedagio(BigDecimal valorPedagio) {
		this.valorPedagio = valorPedagio;
	}

	public BigDecimal getValorEmbarque() {
		return valorEmbarque;
	}

	public void setValorEmbarque(BigDecimal valorEmbarque) {
		this.valorEmbarque = valorEmbarque;
	}

	public BigDecimal getValorSeguro() {
		return valorSeguro;
	}

	public void setValorSeguro(BigDecimal valorSeguro) {
		this.valorSeguro = valorSeguro;
	}

	public String getClaseServicio() {
		return claseServicio;
	}

	public void setClaseServicio(String claseServicio) {
		this.claseServicio = claseServicio;
	}

	public String getDescmotivocancelamento() {
		return descmotivocancelamento;
	}

	public void setDescmotivocancelamento(String descmotivocancelamento) {
		this.descmotivocancelamento = descmotivocancelamento;
	}

	public String getCnpjEcf() {
		return cnpjEcf;
	}

	public void setCnpjEcf(String cnpjEcf) {
		this.cnpjEcf = cnpjEcf;
	}

	public BigDecimal getImpostoEstado() {
		return impostoEstado;
	}

	public void setImpostoEstado(BigDecimal impostoEstado) {
		this.impostoEstado = impostoEstado;
	}

	public BigDecimal getDesconto() {
		return desconto;
	}

	public void setDesconto(BigDecimal desconto) {
		this.desconto = desconto;
	}

	public String getIndcancelamento() {
		return indcancelamento;
	}

	public void setIndcancelamento(String indcancelamento) {
		this.indcancelamento = indcancelamento;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((boletoId == null) ? 0 : boletoId.hashCode());
		result = prime * result + ((coo == null) ? 0 : coo.hashCode());
		result = prime * result + ((numImpressora == null) ? 0 : numImpressora.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		ImportacionFiscalVO other = (ImportacionFiscalVO) obj;
		if (boletoId == null) {
			if (other.boletoId != null)
				return false;
		} else if (!boletoId.equals(other.boletoId))
			return false;
		if (coo == null) {
			if (other.coo != null)
				return false;
		} else if (!coo.equals(other.coo))
			return false;
		if (numImpressora == null) {
			if (other.numImpressora != null)
				return false;
		} else if (!numImpressora.equals(other.numImpressora))
			return false;
		return true;
	}

	public boolean isInconsistente() {
		return inconsistente;
	}

	public void setInconsistente(boolean inconsistente) {
		this.inconsistente = inconsistente;
	}

}
